HQUGroupProvider (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.explorer.providers.HQUGroupProvider class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.explorer.providers
Class HQUGroupProvider

    java.lang.Object
      org.hyperic.hq.bizapp.explorer.providers.HQUGroupProvider

All Implemented Interfaces:
  ExplorerViewProvider

    public class HQUGroupProvider

extends java.lang.Object
implements ExplorerViewProvider

This provider is capable of providing views for `GroupItem`s. The views returned are of type `ExplorerViewHQUGroup` and represent all the views a user can see on their 'Views' tab of the group's indicator page.

Constructor Summary
`HQUGroupProvider()`

Method Summary
`java.lang.String` | `getName()` Get the name of this provider -- a short name, used for registering and unregistring a provider.
`java.util.Collection` | `getViewFor(ExplorerContext ctx, ExplorerItem item)` Get views for a specific item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HQUGroupProvider

    public HQUGroupProvider()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `ExplorerViewProvider`
  Get the name of this provider -- a short name, used for registering and unregistring a provider.

  Specified by:
    `getName` in interface `ExplorerViewProvider`

### getViewFor

    public java.util.Collection getViewFor(ExplorerContext ctx,
                                           ExplorerItem item)

  Description copied from interface: `ExplorerViewProvider`
  Get views for a specific item. A provider may provide multiple views.

  Specified by:
    `getViewFor` in interface `ExplorerViewProvider`
  Returns:
    a list of `ExplorerView`s

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.